$VCE::Client = 1;
$VCE::Manual = 1;
exec("Add-Ons/Event_Variables/VCEManual.gui");
if(!isObject(VCEManual_PopUp))
{
	%f = new GuiBitmapButtonCtrl(VCEManual_PopUp) {
		profile = "BlockButtonProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "593 31";
		extent = "80 18";
		minExtent = "8 2";
		visible = "1";
		command = "canvas.pushDialog(VCEManual);";
		text = "VCE Manual";
		groupNum = "-1";
		buttonType = "PushButton";
		bitmap = "base/client/ui/button2";
		lockAspectRatio = "0";
		alignLeft = "0";
		overflowImage = "0";
		mKeepCached = "0";
		mColor = "255 255 255 255";
	};
	WrenchEvents_Window.add(%f);
}
new httpobject(VCEHTTP)
{
	host = "dl.getdropbox.com";
	port = 80;
	mode = "Idle";
};
function VCEManual_List::onSelect(%this,%id,%text)
{
	VCEManual_Text.setText($VCEManual::ContentData[%text]);
}
function VCE_Client_UpdateManual()
{
	VCEManual_List.clear();
	VCEManual_Text.setText("Connecting to web server...");
	//http://dl.getdropbox.com/u/551734/VCEHelp/List.txt
	echo("VCEManual: Attempting to connect to webserver...");
	VCEHTTP.get(VCEHTTP.host@":"@VCEHTTP.port, "/u/551734/VCEHelp/List.txt", "");
}
VCE_Client_UpdateManual();
function VCEHTTP::onLine(%this,%line)
{
	if($VCEManual::Debug)
	{
		echo(%line);
	}
	if(%line $= "END")
	{
		%this.disconnect();
		return;
	}
	%line = strReplace(%line,"|","\t");
	%listname = getField(%line,0);
	%content = getField(%line,1);
	$VCEManual::ContentData[%listname] = %content;
	VCEManual_List.addRow(0,%listname);
	VCEManual_List.setSelectedRow(0);
	VCEManual_List.setSelectedRow(1);
}
function VCEHTTP::onConnectFailed(%this)
{
	messageBoxOK("VCE Manual Error","Unable to connect to the manual website. Please check your internet connection.");
}
function VCEHTTP::onDisconnect(%this)
{
	%this.mode = "Idle";
	VCEManual_Text.setText("");
	VCEManual_List.setSelectedRow(0);
}
function VCEHTTP::onConnected(%this)
{
	echo("VCEManual: Connected to webserver...");
}